POST
/affiliate_creator/202505/videos/video_files
Upload a video file before posting a shoppable video to TikTok. After the upload succeeds, call POST /affiliate_creator/202505/videos and pass the returned video_file.id as video_info.file_id.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
object
data
required
The local file to be uploaded. Note:
- For files larger than 10 MB, use the Large File Uploads.
- Supported formats: MP4, MOV, MKV, WMV, WEBM, AVI, 3GP, FLV, MPEG
- Max video size: 10 MB
- Video aspect ratio: 9:16 to 16:9 Recommendations for product videos:
- Resolution: 720p or higher
- Duration: > 30 seconds
string format: binary
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
video_file
Video file information.
object
id
The id from of the uploaded video file.
string
md5
Upload file md5 checksum
string
Example
{ "code": 0, "data": { "video_file": { "id": "123123123123", "md5": "D41D8CD98F00B204E9800998ECF8427E" } }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}